
Redmine - Defect #21531

rdm-mailhandler with project-from-subaddress fails

2015-12-15 19:04 - Daniel Feliciano Branco

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.2.1   

Resolution: Fixed Affected version: 3.2.0

Description

Running "ruby extra/mail_handler/rdm-mailhandler.rb -k xxxx -u http://localhost:3000/" waits for stdin input, running "ruby

extra/mail_handler/rdm-mailhandler.rb -k xxxx -u http://localhost:3000/ --project-from-subaddress example@redmine.org" fails with:

extra/mail_handler/rdm-mailhandler.rb:90:in `block (2 levels) in initialize': undefined method `[]

=' for nil:NilClass (NoMethodError)

    from /usr/lib/ruby/1.9.1/optparse.rb:1360:in `call'

    from /usr/lib/ruby/1.9.1/optparse.rb:1360:in `block in parse_in_order'

    from /usr/lib/ruby/1.9.1/optparse.rb:1347:in `catch'

    from /usr/lib/ruby/1.9.1/optparse.rb:1347:in `parse_in_order'

    from /usr/lib/ruby/1.9.1/optparse.rb:1341:in `order!'

    from /usr/lib/ruby/1.9.1/optparse.rb:1432:in `permute!'

    from /usr/lib/ruby/1.9.1/optparse.rb:1453:in `parse!'

    from extra/mail_handler/rdm-mailhandler.rb:140:in `initialize'

    from extra/mail_handler/rdm-mailhandler.rb:211:in `new'

    from extra/mail_handler/rdm-mailhandler.rb:211:in `<main>'

 
Environment:

  Redmine version                3.2.0.stable

  Ruby version                   1.9.3-p551 (2014-11-13) [i686-linux]

  Rails version                  4.2.5

  Environment                    production

  Database adapter               PostgreSQL

SCM:

  Subversion                     1.6.17

  Git                            1.7.9.5

  Filesystem                     

Redmine plugins:

  periodictask                   3.1.1

  recurring_tasks                2.0.0-pre

  redmine_close_button           0.0.8

  redmine_contacts               4.0.4

  redmine_finance                2.0.1

  redmine_helpdesk               0.0.15

  redmine_ics_export             3.0.1.dev

  redmine_issue_override         0.0.1

  redmine_issue_templates        0.1.1

  redmine_startpage              0.1.0

  redmine_tweaks                 0.5.5

  redmine_wiki_extensions        0.7.0

  sidebar_hide                   0.0.7

Associated revisions

Revision 14986 - 2015-12-20 11:53 - Jean-Philippe Lang

rdm-mailhandler with project-from-subaddress fails (#21531).

Revision 15020 - 2016-01-09 10:11 - Jean-Philippe Lang

Merged r14986 (#21531).
History

#1 - 2015-12-20 11:54 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.1

- Resolution set to Fixed

Fixed in r14986.

#2 - 2015-12-21 00:24 - Daniel Feliciano Branco

Thank you for the fix and the feature. It's working fine now.

Daniel

#3 - 2016-01-09 10:12 - Jean-Philippe Lang

- Status changed from Resolved to Closed
